﻿using Syncfusion.UI.Xaml.Controls.Navigation;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace SfTabControl_IconShow
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private void SkyPlotTab_PointerEntered(object sender, PointerRoutedEventArgs e)
        {
            SfTabItem item = sender as SfTabItem;
            if (item != null)
            {
                if (item.Icon != null)
                {
                    if (item.Icon is Grid)
                    {
                        for (int i = 0; i < (item.Icon as Grid).Children.Count; i++)
                        {
                            ((item.Icon as Grid).Children[0] as Image).Visibility = Visibility.Collapsed;
                            ((item.Icon as Grid).Children[1] as Image).Visibility = Visibility.Visible;
                            ((item.Icon as Grid).Children[2] as Image).Visibility = Visibility.Collapsed;
                        }
                    }
                }
            }
        }

        private void SkyPlotTab_PointerExited(object sender, PointerRoutedEventArgs e)
        {

            SfTabItem item = sender as SfTabItem;
            if (item != null)
            {
                if (item.Icon != null)
                {
                    if (item.Icon is Grid)
                    {
                        if (!item.IsSelected)
                        {
                            ((item.Icon as Grid).Children[0] as Image).Visibility = Visibility.Collapsed;
                            ((item.Icon as Grid).Children[1] as Image).Visibility = Visibility.Collapsed;
                            ((item.Icon as Grid).Children[2] as Image).Visibility = Visibility.Visible;
                        }
                        else
                        {
                            ((item.Icon as Grid).Children[0] as Image).Visibility = Visibility.Visible;
                            ((item.Icon as Grid).Children[1] as Image).Visibility = Visibility.Collapsed;
                            ((item.Icon as Grid).Children[2] as Image).Visibility = Visibility.Collapsed;
                        }

                    }
                }
            }
        }

        private void TabControl_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (e.RemovedItems[0] != null)
            {
                SfTabItem item = e.RemovedItems[0] as SfTabItem;
                if (item != null)
                {
                    if (item.Icon != null)
                    {
                        if (item.Icon is Grid)
                        {
                            for (int i = 0; i < (item.Icon as Grid).Children.Count; i++)
                            {
                                ((item.Icon as Grid).Children[0] as Image).Visibility = Visibility.Collapsed;
                                ((item.Icon as Grid).Children[1] as Image).Visibility = Visibility.Collapsed;
                                ((item.Icon as Grid).Children[2] as Image).Visibility = Visibility.Visible;
                            }
                        }
                    }
                }
            }
            if (e.AddedItems[0] != null)
            {
                SfTabItem item = e.AddedItems[0] as SfTabItem;
                if (item != null)
                {
                    if (item.Icon != null)
                    {
                        if (item.Icon is Grid)
                        {
                            for (int i = 0; i < (item.Icon as Grid).Children.Count; i++)
                            {
                                ((item.Icon as Grid).Children[0] as Image).Visibility = Visibility.Visible;
                                ((item.Icon as Grid).Children[1] as Image).Visibility = Visibility.Collapsed;
                                ((item.Icon as Grid).Children[2] as Image).Visibility = Visibility.Collapsed;
                            }
                        }
                    }
                }
            }
        }
    }
}
